library web_persistent_storage;
import 'dart:html';

/// Class for easily storing key-value data in your browser.
class LocalStorageManager {
  /// Saves a [String] value with a [String] key.
  void save({String key, String value}) {
    window.localStorage[key] = value;
  }

  /// Returns the value of the given [key] as a [String].
  String get(String key) {
    return window.localStorage[key];
  }

  /// Removes a key from your browser.
  void remove(String key) {
    window.localStorage.remove(key);
  }
}